summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorDave Odell <dmo2118@gmail.com>2019-10-01 11:09:15 -0700
committerPaul Eggert <eggert@cs.ucla.edu>2019-10-01 11:15:38 -0700
commitee869b17b156400e1d76ea47aee35843d93d6908 (patch)
treea829d567141b2433325e24ba11d7495c5cd70f12 /tests
parent1a9db808992906eb599d9cdabec2e45de181fc1d (diff)
downloaddiffutils-ee869b17b156400e1d76ea47aee35843d93d6908.tar.gz
cmp: add test case for Bug#37558
* tests/cmp: New test case (Bug#37558). Copyright-paperwork-exempt: yes
Diffstat (limited to 'tests')
-rwxr-xr-xtests/cmp10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/cmp b/tests/cmp
index 97f2b5f..ff49388 100755
--- a/tests/cmp
+++ b/tests/cmp
@@ -218,4 +218,14 @@ case `LC_ALL=C cmp -b bad bug` in
*) echo 'expected cmp -b to report a and u'; fail=1;;
esac
+printf 'Jackdaws love my big sphinx of quartz!' > j1
+printf 'jackdaws love my big sphinx of quartz.' > j2
+cat <<'EOF' > exp2 || fail=1
+ 1 112 J 152 j
+38 41 ! 56 .
+EOF
+cmp -bl j1 j2 > out2
+test $? -eq 1 || fail=1
+compare exp2 out2 || fail=1
+
Exit $fail